function(add_dependency_subdir DEPENDENCY)
    if(EXISTS ${PROJECT_SOURCE_DIR}/dep/${DEPENDENCY}/CMakeLists.txt)
        add_subdirectory(${PROJECT_SOURCE_DIR}/dep/${DEPENDENCY})
        message("${DEPENDENCY} OK.")
        message("=================================================================")
    else()
        message(FATAL_ERROR "Error: Could not find CMakeLists.txt at ${PROJECT_SOURCE_DIR}/dep/${DEPENDENCY}. Did you initialize and update all submodules (cf. Readme.md)?")
    endif()
endfunction(add_dependency_subdir DEPENDENCY)